%define oname powerdevil

Summary:	Plasma 5 power management module
Name:		plasma5-%{oname}
Version:	5.7.2
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/plasma/%{version}/%{oname}-%{version}.tar.xz
Patch0:		powerdevil-5.5.2-power-settings.patch
Patch1:		powerdevil-5.7.2-l10n-ru.patch
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5auth-devel
BuildRequires:	kf5bluezqt-devel
BuildRequires:	kf5config-devel
BuildRequires:	kf5globalaccel-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5idletime-devel
BuildRequires:	kf5kdelibs4support-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5networkmanagerqt-devel
BuildRequires:	kf5notifyconfig-devel
BuildRequires:	kf5solid-devel
BuildRequires:	kf5wayland-devel
BuildRequires:	plasma5-workspace-devel >= %{version}
BuildRequires:	pkgconfig(kscreen2)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(udev)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xcb)
BuildRequires:	pkgconfig(xcb-randr)
BuildRequires:	pkgconfig(xrandr)
# Because of polkit actions
Conflicts:	kdm

%description
Plasma 5 power management module.

%files -f %{oname}.lang
%{_kde5_libexecdir}/kauth/backlighthelper
%{_kde5_notificationsdir}/powerdevil.notifyrc
%{_kde5_plugindir}/kded/powerdevil.so
%{_kde5_services}/*.desktop
%{_kde5_servicetypes}/powerdevilaction.desktop
%{_qt5_plugindir}/kcm_powerdevilactivitiesconfig.so
%{_qt5_plugindir}/kcm_powerdevilglobalconfig.so
%{_qt5_plugindir}/kcm_powerdevilprofilesconfig.so
%{_qt5_plugindir}/powerdevil*.so
%{_datadir}/dbus-1/system-services/org.kde.powerdevil.backlighthelper.service
%{_datadir}/polkit-1/actions/org.kde.powerdevil.backlighthelper.policy
%{_sysconfdir}/dbus-1/system.d/org.kde.powerdevil.backlighthelper.conf

#----------------------------------------------------------------------------

%define powerdevilconfigcommonprivate_major 5
%define libpowerdevilconfigcommonprivate %mklibname powerdevilconfigcommonprivate %{powerdevilconfigcommonprivate_major}

%package -n %{libpowerdevilconfigcommonprivate}
Summary:	Plasma 5 power management shared library
Group:		System/Libraries

%description -n %{libpowerdevilconfigcommonprivate}
Plasma 5 power management shared library.

%files -n %{libpowerdevilconfigcommonprivate}
%{_kde5_libdir}/libpowerdevilconfigcommonprivate.so.%{powerdevilconfigcommonprivate_major}*

#----------------------------------------------------------------------------

%define powerdevilcore_major 2
%define libpowerdevilcore %mklibname powerdevilcore %{powerdevilcore_major}

%package -n %{libpowerdevilcore}
Summary:	Plasma 5 power management shared library
Group:		System/Libraries

%description -n %{libpowerdevilcore}
Plasma 5 power management shared library.

%files -n %{libpowerdevilcore}
%{_kde5_libdir}/libpowerdevilcore.so.%{powerdevilcore_major}*

#----------------------------------------------------------------------------

%define powerdevilui_major 5
%define libpowerdevilui %mklibname powerdevilui %{powerdevilui_major}

%package -n %{libpowerdevilui}
Summary:	Plasma 5 power management shared library
Group:		System/Libraries

%description -n %{libpowerdevilui}
Plasma 5 power management shared library.

%files -n %{libpowerdevilui}
%{_kde5_libdir}/libpowerdevilui.so.%{powerdevilui_major}*

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}
%patch0 -p1
%patch1 -p1

%build
%cmake_kde5_kf5locales
%make

%install
%makeinstall_std -C build

# We don't have headers
rm -f %{buildroot}%{_libdir}/libpowerdevilconfigcommonprivate.so
rm -f %{buildroot}%{_libdir}/libpowerdevilcore.so
rm -f %{buildroot}%{_libdir}/libpowerdevilui.so

%find_lang %{oname} libpowerdevilcommonconfig powerdevilactivitiesconfig powerdevilglobalconfig powerdevilprofilesconfig \
           %{oname}.lang --with-html --with-kde
%kf5locales_fix %{oname}.lang

%changelog

* Fri Jul 22 2016 valerol <valerol@ya.ru> 5.7.2-1
- (beca472) Build requires kf5bluezqt-devel
- (valerol: 41f84ac) Build requires kf5networkmanagerqt-devel
- (valerol: 9d15cae) Update Russian translation
- (valerol: 4c4512a) New version 5.7.2

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.5-1
- (61ff6d5) New version 5.6.5

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.3-1
- (e9a9207) Specify version for Plasma 5 BuildRequires
- (Andrey Bondrov: 884082c) New version 5.6.3

* Thu Apr 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.2-2
- (022f00d) MassBuild#1030: Increase release tag

* Sat Apr 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.2-1
- (8bd7ca2) Drop l10n patch (fixed upstream)
- (Andrey Bondrov: 81ac8c3) New version 5.6.2

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.5-2
- (8a3d727) MassBuild#1001: Increase release tag

* Wed Mar 02 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.5-1
- (b213dcc) New version 5.5.5

* Wed Jan 27 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.4-1
- (1530c22) Update Russian translation
- (Andrey Bondrov: 0b86b19) New version 5.5.4

* Thu Jan 07 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.3-1
- (dcc3c72) New version 5.5.3

* Sun Jan 03 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.2-2
- (86d06a6) Adjust default power settings

* Tue Dec 29 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.2-1
- (99a04d2) Update files (move powerdevil kded plugin to new location)
- (Andrey Bondrov: 0075465) Build requires kf5wayland-devel
- (Andrey Bondrov: c067c1c) New version 5.5.2

* Thu Nov 19 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.4.3-1
- (eb6aacd) New version 5.4.3

* Wed Oct 07 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.4.2-1
- (b7a942d) New version 5.4.2

* Tue Sep 08 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.4.1-1
- (4cb5155) New version 5.4.1

* Wed Aug 26 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.4.0-1
- (494d0e3) New version 5.4.0

* Thu Aug 13 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.3.2-2
- (a1dc5b5) MassBuild#782: Increase release tag

* Tue Jun 30 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.3.2-1
- (691a191) New version 5.3.2

* Wed May 27 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.3.1-1
- (9c54ef7) New version 5.3.1

* Wed Apr 29 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.3.0-1
- (fca843b) Update files (add activities config KCM)
- (Andrey Bondrov: 8363289) Build requires pkgconfig(kscreen2)
- (Andrey Bondrov: 589aefd) New version 5.3.0

* Thu Mar 26 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.2.2-1
- (c25f4aa) New version 5.2.2


